#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iio_register_sw_trigger_type, "", "");
KSYMTAB_FUNC(iio_unregister_sw_trigger_type, "", "");
KSYMTAB_FUNC(iio_sw_trigger_create, "", "");
KSYMTAB_FUNC(iio_sw_trigger_destroy, "", "");

SYMBOL_CRC(iio_register_sw_trigger_type, 0x471de956, "");
SYMBOL_CRC(iio_unregister_sw_trigger_type, 0xd719832b, "");
SYMBOL_CRC(iio_sw_trigger_create, 0x49e82399, "");
SYMBOL_CRC(iio_sw_trigger_destroy, 0xbb14811d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc06e44c2, "iio_configfs_subsys" },
	{ 0x44e81c11, "configfs_register_default_group" },
	{ 0x77bfafcc, "configfs_unregister_default_group" },
	{ 0xcd1f47a2, "module_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4a92f433, "config_item_put" },
	{ 0x95d1a860, "try_module_get" },
	{ 0x122c3a7e, "_printk" },
	{ 0xdc733032, "config_item_set_name" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio-configfs");

